package com.ar.drawing.art.adapter;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.ar.drawing.art.activity.UIDetail;
import com.ar.drawing.art.utils.ArtApp;
import com.ar.drawing.art.utils.Common;
import com.ar.drawing.art.databinding.ItemActivityListBinding;

import java.util.List;

public class AdaAllList extends RecyclerView.Adapter<AdaAllList.HomeVH> {


    private Context mCon;
    private List<String> data;



    public AdaAllList(Context mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }



    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {

        return new HomeVH( ItemActivityListBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Bitmap bitmap = Common.loadImageFromAssets(mCon, name);
        holder.binding.imPreview.setImageBitmap(bitmap);

        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, UIDetail.class);
                intent.putExtra(ArtApp.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ItemActivityListBinding binding;




        public HomeVH(@NonNull ItemActivityListBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
